import { sineBell } from '../sineBell';

describe('shifted sine bell', () => {
  it('simple sine function', () => {
    const fct = sineBell({ offset: 0, length: 11 });
    expect(fct(0)).toBe(0);
    expect(fct(5)).toBe(1);
    expect(fct(10)).toBe(Math.sin(Math.PI));
  });
  it('simple sine function end in the center', () => {
    const fct = sineBell({ offset: 0, length: 11, end: 1 });
    const a = [];
    for (let i = 0; i < 11; i++) {
      a.push(fct(i));
    }
    expect(fct(0)).toBe(0);
    expect(fct(5)).toBe(Math.sin(Math.PI / 2));
    expect(fct(10)).toBe(Math.sin(Math.PI));
  });
  it('simple cos function', () => {
    const fct = sineBell({ offset: 0.5, length: 11 });
    expect(fct(0)).toBe(1);
    expect(fct(5)).toBe(Math.cos(Math.PI / 4));
    expect(fct(10)).toBeCloseTo(Math.cos(Math.PI / 2), 10);
  });
});
