import type { NMRRange, NMRSignal1D, NMRSignal2D, NMRZone } from '..';
import { MakeMandatory } from '../utilities/MakeMandatory';

import type { SpectraData1D, SpectraData2D } from './getAssignments';

export type NMRSignal1DWithId = MakeMandatory<NMRSignal1D, 'id'>;
export type NMRSignal2DWithId = MakeMandatory<NMRSignal2D, 'id'>;

export interface NMRZoneWithIds extends Omit<NMRZone, 'signals' | 'id'> {
  id: string;
  signals: NMRSignal2DWithId[];
}

export interface NMRRangeWithIds extends Omit<NMRRange, 'id' | 'signals'> {
  id: string;
  signals: NMRSignal1DWithId[];
}

export interface SpectraData1DWithIds extends Omit<SpectraData1D, 'ranges'> {
  ranges: NMRRangeWithIds[];
}
export interface SpectraData2DWithIds extends Omit<SpectraData2D, 'zones'> {
  zones: NMRZoneWithIds[];
}

export type SpectraDataWithIds = SpectraData1DWithIds | SpectraData2DWithIds;
