import { Filter } from '../../../../types/Filter';
import { apply } from '../apodization/apodization';

describe('lineBroadening', () => {
  it('simple x, re, im to 1 Hz exp.', () => {
    const spectrum = {
      data: {
        re: new Float64Array([1, 2, 3, 4]),
        im: new Float64Array([0, 0, 0, 0]),
        x: new Float64Array([10, 20, 30, 40]),
      },
      info: {
        isComplex: true,
        isFid: true,
      },
      filters: [] as Filter[],
    };
    apply(spectrum, {
      lineBroadening: 0.1,
      gaussBroadening: 0,
      lineBroadeningCenter: 0,
    });

    expect(spectrum.data).toStrictEqual({
      re: new Float64Array([
        1, 0.08642783652754452, 0.0056023281951239675, 0.0003227980702812185,
      ]),
      im: new Float64Array([0, 0, 0, 0]),
      x: new Float64Array([10, 20, 30, 40]),
    });
  });
});
