import { Integral } from '../../../types/Integral';
import { Range } from '../../../types/Ranges/Ranges';

export function mapValues<T extends Integral[] | Range[]>(
  values: T,
  key: string,
  factor: number,
  check: (value: any) => boolean,
) {
  return values.map((value) => {
    return {
      ...value,
      ...(check(value) && {
        [key]: value.absolute * factor,
      }),
    };
  });
}
