import { checkMultiplet } from '../checkMultiplet';

describe('check multiplet', () => {
  it('massive', () => {
    expect(checkMultiplet('m')).toBe(true);
    expect(checkMultiplet('massive')).toBe(true);
  });
  it('singlet', () => {
    expect(checkMultiplet('s')).toBe(true);
    expect(checkMultiplet('br s')).toBe(true);
    expect(checkMultiplet('singlet')).toBe(true);
  });
  it('doublet', () => {
    expect(checkMultiplet('d')).toBe(true);
    expect(checkMultiplet('doublet')).toBe(true);
  });
  it('triplet', () => {
    expect(checkMultiplet('t')).toBe(true);
    expect(checkMultiplet('triplet')).toBe(true);
  });
  it('quartet', () => {
    expect(checkMultiplet('q')).toBe(true);
    expect(checkMultiplet('quartet')).toBe(true);
  });
  it('quinplet', () => {
    expect(checkMultiplet('i')).toBe(true);
    expect(checkMultiplet('quint')).toBe(true);
    expect(checkMultiplet('quintet')).toBe(true);
  });
  it('octet', () => {
    expect(checkMultiplet('o')).toBe(true);
    expect(checkMultiplet('oct')).toBe(true);
    expect(checkMultiplet('octet')).toBe(true);
  });
  it('check multiplicity with rejected', () => {
    expect(checkMultiplet('massive', ['m'])).toBeFalsy();
    expect(checkMultiplet('m', ['massive'])).toBeFalsy();
    expect(checkMultiplet('i', ['quint'])).toBeFalsy();
    expect(checkMultiplet('quintet', ['quint'])).toBeFalsy();
  });
  it('check multiplicity passing rejected', () => {
    expect(checkMultiplet('massive', ['s'])).toBe(true);
    expect(checkMultiplet('m', ['s'])).toBe(true);
    expect(checkMultiplet('i', ['m', 's'])).toBe(true);
    expect(checkMultiplet('quintet', ['m', 'singlet'])).toBe(true);
  });
});
