import { NMRPeak1D } from '../NMRPeak1D';

import { convertWidth, ConvertWidthOptions } from './convertWidth';

export type ConvertWidthTo<T> = Omit<ConvertWidthOptions<T>, 'convertTo'>;

export function convertWidthToHz<T extends NMRPeak1D>(
  peaks: T[],
  options: ConvertWidthTo<T>,
): T[] {
  return convertWidth(peaks, { ...options, convertTo: 'hz' });
}
