import { v4 as generateID } from '@lukeed/uuid';

const { parse, stringify } = JSON;

export function setIDs<T>(peaks: T[], options: { output?: T[] } = {}) {
  const output = (options.output || parse(stringify(peaks))) as Array<
    T & {
      id?: string;
    }
  >;
  for (const peak of output) {
    peak.id = generateID();
  }

  return output as Array<T & { id: string }>;
}
