import type { NMRSignal1D } from '../signals/NMRSignal1D';
import { selectACSPattern } from '../utilities/selectACSPattern';
/**
 * Return
 * @param {*} signal
 */

export function signalMultiplicityPattern(
  signal: NMRSignal1D,
  options?: { acsFormat?: boolean },
) {
  const js = signal.js;
  let pattern = '';
  if (js && js.length > 0) {
    for (const coupling of js) {
      const { multiplicity = '' } = coupling;
      pattern += options?.acsFormat
        ? selectACSPattern(multiplicity)
        : multiplicity;
    }
  } else if (signal.delta) {
    pattern = '';
  } else {
    pattern = 'm';
  }
  return pattern;
}
