import type { NMRSignal1D } from '../NMRSignal1D';
import { hackSignalsToXY } from '../hackSignalsToXY';

const signals2: NMRSignal1D[] = [
  { delta: 4, multiplicity: 't', js: [{ coupling: 4, multiplicity: 't' }] },
];
describe('spectrum from prediction', () => {
  it('1H chemical shift prediction', async () => {
    const spectrum = hackSignalsToXY(signals2, {
      shape: {
        kind: 'gaussian',
      },
      from: -1,
      to: 11,
      nbPoints: 16 * 1024,
    });
    expect(spectrum.x).toHaveLength(16 * 1024);
    expect(spectrum.x[0]).toStrictEqual(-1);
    expect(spectrum.x[spectrum.x.length - 1]).toBe(11);
    expect(Math.max(...spectrum.y)).toBeCloseTo(1e8);
  });
});
