import type { NMRSignal1D } from './NMRSignal1D';
import { addDummySignals } from './addDummySignals';
import { OptionsSignalsToXY, signalsToXY } from './signalsToXY';

/**
 * Create the xy object from an array of 1D signals.
 * @param signals Array of signals with assigned or unassigned couplings.
 */

export function hackSignalsToXY(
  signals: NMRSignal1D[],
  options: OptionsSignalsToXY = {},
) {
  const newSignals = addDummySignals(signals);
  return signalsToXY(newSignals, options);
}
