import type { Matrix } from 'ml-matrix';

export interface SpinSystem {
  /**
   * isolated clusters from a similarity/connectivity matrix
   */
  clusters?: number[][];
  /**
   * Matrix of coupling values between spins.
   */
  couplingConstants: Matrix | number[][];
  /**
   * Array of chemical shifts of the spin system
   */
  chemicalShifts: number[];
  /**
   * Array of degree of freedom of the spin, it is usually an array of 2.
   */
  levels?: number[];
  /**
   * Binary matrix based on the coupling constants.
   */
  connectivity?: Matrix | number[][];
}
