import { normalizeNucleus } from '../normalizeNucleus';

describe('normalize nucleus', () => {
  it('carbon nucleus', () => {
    expect(normalizeNucleus('13Carbon')).toBe('13C');

    expect(normalizeNucleus('Carbon13')).toBe('13C');
    expect(normalizeNucleus('Carbon-13')).toBe('13C');
    expect(normalizeNucleus('C13')).toBe('13C');
  });
  it('proton nucleus', () => {
    expect(normalizeNucleus('proton')).toBe('1H');
    expect(normalizeNucleus('1H')).toBe('1H');
    expect(normalizeNucleus('H1')).toBe('1H');
  });
  it('nitrogen nucleus', () => {
    expect(normalizeNucleus('nitrogen15')).toBe('15N');
    expect(normalizeNucleus('Nitrogen-15')).toBe('15N');
    expect(normalizeNucleus('N15')).toBe('15N');
    expect(normalizeNucleus('15N')).toBe('15N');
  });
  it('fluorine nucleus', () => {
    expect(normalizeNucleus('Fluorine19')).toBe('19F');
    expect(normalizeNucleus('Fluorine-19')).toBe('19F');
    expect(normalizeNucleus('F19')).toBe('19F');
    expect(normalizeNucleus('19F')).toBe('19F');
    expect(normalizeNucleus('19f')).toBe('19F');
  });
  it('phosphorus nucleus', () => {
    expect(normalizeNucleus('Phosphorus31')).toBe('31P');
    expect(normalizeNucleus('Phosphorus-31')).toBe('31P');
    expect(normalizeNucleus('P31')).toBe('31P');
    expect(normalizeNucleus('31P')).toBe('31P');
    expect(normalizeNucleus('p31')).toBe('31P');
    expect(normalizeNucleus('31p')).toBe('31P');
  });
  it('should returns the same', () => {
    expect(normalizeNucleus('Hz')).toBe('Hz');
  });
});
