import {
  NmrData2D,
  NmrData2DFid,
  NmrData2DFt,
  NmrData2DContent,
} from 'cheminfo-types';

export function cloneData2D(data: NmrData2D) {
  const newData: any = {};

  if (isData2DFt(data)) {
    for (const key in data) {
      addCloneData(newData, key, data[key as keyof NmrData2DFt]);
    }
  } else {
    for (const key in data) {
      addCloneData(newData, key, data[key as keyof NmrData2DFid]);
    }
  }
  return newData;
}

function isData2DFt(data: NmrData2D): data is NmrData2DFt {
  return 're' in data;
}

function addCloneData(newData: any, key: string, data?: NmrData2DContent) {
  if (data) {
    const { z, ...other } = data;
    newData[key] = { z: z.slice(), ...other };
  }
}
