import type { FromTo } from 'cheminfo-types';
import type { Peak2D } from 'ml-matrix-peaks-finder';

export interface Signal2DProjection {
  nucleus?: string;
  delta: number;
  resolution?: number;
  atoms?: number[];
  diaIDs?: string[];
}
export interface NMRSignal2D<T extends Peak2D = Peak2D> {
  x: Signal2DProjection;
  y: Signal2DProjection;
  j?: {
    pathLength?: number | FromTo;
  };
  id?: string;
  peaks?: T[];
  kind?: string;
}
