import { NmrData2DFt } from 'cheminfo-types';

export type NmrData2DFourQuadrant = Required<
  Pick<NmrData2DFt, 'rr' | 'ir' | 'ri' | 'ii'>
>;
export function checkNmrData2DFourQuad(
  data: NmrData2DFt,
): asserts data is NmrData2DFourQuadrant {
  if (!('ir' in data)) {
    throw new Error('four quadrants should has ir, ri and ii quadrants');
  }
}
